
From: Cornelia Huck <kernel@cornelia-huck.de>

The drivers under drivers/media/dvb/ttpci depend on pci (especially since
they select VIDEO_SAA7146, which depends on pci).

Signed-off-by: Cornelia Huck <kernel@cornelia-huck.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/ttpci/Kconfig |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/media/dvb/ttpci/Kconfig~add-pci-dependencies-to-drivers-media-dvb-ttpci-kconfig drivers/media/dvb/ttpci/Kconfig
--- 25/drivers/media/dvb/ttpci/Kconfig~add-pci-dependencies-to-drivers-media-dvb-ttpci-kconfig	Tue Aug 17 14:47:35 2004
+++ 25-akpm/drivers/media/dvb/ttpci/Kconfig	Tue Aug 17 14:47:35 2004
@@ -1,6 +1,6 @@
 config DVB_AV7110
 	tristate "AV7110 cards"
-	depends on DVB_CORE
+	depends on DVB_CORE && PCI
 	select FW_LOADER
 	select VIDEO_DEV
 	select VIDEO_SAA7146_VV
@@ -45,7 +45,7 @@ config DVB_AV7110_OSD
 
 config DVB_BUDGET
 	tristate "Budget cards"
-	depends on DVB_CORE
+	depends on DVB_CORE && PCI
 	select VIDEO_SAA7146
 	help
 	  Support for simple SAA7146 based DVB cards
@@ -59,7 +59,7 @@ config DVB_BUDGET
 
 config DVB_BUDGET_CI
 	tristate "Budget cards with onboard CI connector"
-	depends on DVB_CORE
+	depends on DVB_CORE && PCI
 	select VIDEO_SAA7146
 	help
 	  Support for simple SAA7146 based DVB cards
@@ -76,7 +76,7 @@ config DVB_BUDGET_CI
 
 config DVB_BUDGET_AV
 	tristate "Budget cards with analog video inputs"
-	depends on DVB_CORE
+	depends on DVB_CORE && PCI
 	select VIDEO_DEV
 	select VIDEO_SAA7146_VV
 	help
_
